%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gnome-activity-journal
Version:        0.8.0
Release:        9%{?dist}
Summary:        Browse and search your Zeitgeist activities

Group:          Applications/File
License:        GPLv3+
URL:            https://launchpad.net/%{name}
Source0:        http://launchpad.net/%{name}/0.8/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Simple patch to get rid of rpmlint error about non-executable script
Patch1:         %{name}-non-executable-script-fix.patch
# A patch to handle changes in dbus names in newer versions of zeitgeist. Fixes bug #821121.
# Taken from here: http://bazaar.launchpad.net/~manishsinha/gnome-activity-journal/fixes-924988/revision/9/debian/patches/fix_histogram_issue.diff
Patch2:         %{name}-fix-histogram-issue.patch

BuildArch:      noarch
BuildRequires:  python-devel python-distutils-extra desktop-file-utils intltool
Requires:       zeitgeist >= 0.8.0
Requires:       hicolor-icon-theme
Requires:       pygtk2 pygobject2
Requires:       gnome-python2-gnome gnome-python2-gconf pycairo
Requires:       pyxdg python-pygments

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%pre
# From https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
# From https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

# From https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
# From https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
# From https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
# From https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%description
GNOME Activity Journal is a tool for easily
browsing and finding files on your computer.
It shows a chronological journal of all file
activity.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

# The gconf schema file gets installed in the wrong location so we move it
mkdir -p %{buildroot}%{_sysconfdir}/gconf/schemas/
mv %{buildroot}%{_datadir}/gconf/schemas/%{name}.schemas \
   %{buildroot}%{_sysconfdir}/gconf/schemas/

%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS
%{_bindir}/*
%{_datadir}/gnome-activity-journal
%{_datadir}/icons/hicolor/*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/man/*/*
%{python_sitelib}/*

%{_datadir}/zeitgeist/_zeitgeist/engine/extensions/gnome_activity_journal.*

%{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Mads Villadsen <maxx@krakoa.dk> - 0.8.0-4
- Add patch to fix issue running with newest version of zeitgeist. Fixes bug #821121.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Sep 11 2011 Mads Villadsen <maxx@krakoa.dk> - 0.8.0-1
- Update to 0.8.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Mads Villadsen <maxx@krakoa.dk> - 0.6.0-1
- Update to 0.6.0
- Added drag and drop support
- Added support for XChat, Bazaar
- Added tray icon support
- Minor interface changes
- Various bug fixes

* Tue Sep 28 2010 Mads Villadsen <maxx@krakoa.dk> - 0.5.0.1-1
- Update to 0.5.0.1
- Fixes issues with hamster-applet
- Removes some debug output
- Minor bugfixes

* Mon Aug 23 2010 Mads Villadsen <maxx@krakoa.dk> - 0.5.0-1
- Update to latest release
- Add minor patch to make the version check work with zeitgeist 0.5.0

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.4.1-2.20100721bzr1010
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 21 2010 Mads Villadsen <maxx@krakoa.dk> - 0.3.4.1-1.20100721bzr1010
- Use a bzr version to get g-a-j working with new hamster-applet

* Sun May  9 2010 Mads Villadsen <maxx@krakoa.dk> - 0.3.4-1
- Update to latest release
- Fixes bugs #579024, #579148, #579144, #580740, #580309, #591444
- Don't use --skip-build in install target as it breaks various part of the installation
- Removed the install patch as the installation is better behaved now
- Removed the startup shell script as it is no longer needed

* Sun Feb 21 2010 Mads Villadsen <maxx@krakoa.dk> - 0.3.3-1
- Update to new release
- Added a patch for better installation
- spec file updated to handle GConf schema, icons, languages, more
- Add intltool to BuildRequires

* Fri Jan 22 2010 Mads Villadsen <maxx@krakoa.dk> - 0.3.2-1
- Initial package

